/*
###########################################################################
#
# This program is part of Zenoss Core, an open source monitoring platform.
# Copyright (C) 2010, Zenoss Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published by
# the Free Software Foundation.
#
# For complete information please visit: http://www.zenoss.com/oss/
#
###########################################################################
*/

(function(){

var ZC = Ext.ns('Zenoss.component');

function render_link(ob) {
    if (ob && ob.uid) {
        return Zenoss.render.link(ob.uid);
    } else {
        return ob;
    }
}

ZC.TerracottaClientPanel = Ext.extend(ZC.ComponentGridPanel, {
    constructor: function(config) {
        config = Ext.applyIf(config||{}, {
            componentType: 'TerracottaClient',
            fields: [
              	{name: 'uid'},
                {name: 'severity'},
                {name: 'status'},
				{name: 'name'},				
                {name: 'getClientDevice'},
                {name: 'nodeEnabled'},
                {name: 'nodeConnected'},
                {name: 'nodePort'},
                {name: 'monitor'},
                {name: 'monitored'},
                {name: 'locking'}
            ],
            columns: [{
                id: 'severity',
                dataIndex: 'severity',
                header: _t('Events'),
                renderer: Zenoss.render.severity,
                width: 60
            },{
                id: 'name',
                dataIndex: 'name',
                header: _t('Name'),
            },{
                id: 'getClientDevice',
                dataIndex: 'getClientDevice',
                renderer: function(obj) {
                    if (obj && obj.uid && obj.name) {
                        return Zenoss.render.link(obj.uid, undefined, obj.name);
                    }
                },
                width: 200
            },{
                id: 'nodePort',
                dataIndex: 'nodePort',
                header: _t('Port'),
                sortable: true,
            },{
                id: 'nodeEnabled',
                dataIndex: 'nodeEnabled',
                header: _t('Enabled'),
                sortable: true,
            },{
                id: 'nodeConnected',
                dataIndex: 'nodeConnected',
                header: _t('Connected'),
                sortable: true,
            },{
                id: 'status',
                dataIndex: 'status',
                header: _t('Status'),
                width: 60
            },{
                id: 'monitored',
                dataIndex: 'monitored',
                header: _t('Monitored'),
                sortable: true,
                width: 65
            },{
                id: 'locking',
                dataIndex: 'locking',
                header: _t('Locking'),
                renderer: Zenoss.render.locking_icons,
                sortable: true,
                width: 65
            }
			] 
        });
        ZC.TerracottaClientPanel.superclass.constructor.call(this, config);
    }
});

Ext.reg('TerracottaClientPanel', ZC.TerracottaClientPanel);
ZC.registerName('TerracottaClient', _t('Terracotta Client'), _t('Terracotta Clients'));

})();

